2003-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.14 released.

2003-10-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.13 released.

2003-10-18  Adrian Aichner  <adrian@xemacs.org>

	* build-report.el: Update copyright years.
	* build-report.el (build-report-keep-regexp): Update
	build-report.el for test harness output.
	* build-report.el (build-report-delete-regexp): Ditto.
	* build-report.el (build-report-installation-data): Handle
	builds of non-beta versions.
	* build-report.el (build-report-version-file-data): Ditto.

2003-10-13  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.12 released.

2003-09-30  Jerry James  <james@xemacs.org>

	* build.el (build): Minor typo correction.

2003-10-13  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.11 released.

2003-10-12  Adrian Aichner  <adrian@xemacs.org>

	* build.texi: Add dircategory Emacs.
	* build.texi (Top): Move from incorrect use of @var to correct use
	of @code.
	* build.texi (Build Overview): Ditto.
	* build.texi (Build Installation): Ditto.
	* build.texi (Build XEmacs From CVS): Ditto.
	* build.texi (Build XEmacs From Tarballs): Ditto.
	* build.texi (Build XEmacs With GNU Tools): Ditto.

2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile (MULE_ELCS): Removed.
	Delete explicit compile:: and binkit: rules.
	Don't add custom-load.elc to the list of generated elc's.
	Use STANDARD_DOCS instead of explicitly giving the targets
	and dependencies.
	Delete unused MULE_ELCS.

2003-01-13  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.10 released.

2003-01-11  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (AUTHOR_VERSION): Increment.
	* build.el: Remove commented code.
	* build.el (build): Provide package before requiring others.
	* build.el (build-cvs-get-branch-and-release-tags): Use temp
	buffer to avoid changing directory of current buffer.
	* build.el (build-cvs-xemacs-release): Improve docstring.
	* build.el (build-from-CVS): Improve "Go Back" button notify function.
	* build.el (build-from-tarballs): Ditto.
	* build.el (build-with-GNU): Ditto.
	* build.el (build-with-MS): Ditto.
	* build.el (build-build-report): Ditto.

2003-01-03  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.09 released.

2002-12-17  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (INFO_FILES): build.texi is still on top-level.
	* Makefile (html): Ditto.

2002-12-17  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (compile): Use $(INFO_DEP) dependency to make info
	documentaion.

2002-12-14  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (AUTHOR_VERSION): Increment.
	* Makefile (ELCS): Include build-report.el
	* Makefile (HTML_FILES): Removed.
	* Makefile (HTML_DEP): Removed.
	* Makefile (INFO_DEP): New.
	* Makefile (all): Removed.
	* Makefile (compile): Use info target instead of INFO_FILES.
	* Makefile (html): New.
	* build.el: Move defuns and defcustoms to make package work in
	vanilla XEmacs.  Update CVS release tags in `build-from-CVS',
	istead of defcustom.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS.
	* Makefile: Use `compile' instead of hard-coded `all'.
	* README (build.texi):
	* README (PACKAGE_INDEX):
	* README (XEMACS_STAGING): Removed.
	Correct for new Local.rules format.

2002-12-06  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.08 released.

2002-11-26  Adrian Aichner  <adrian@xemacs.org>

	* build-report.el: Sync with XEmacs core improvements.
	* build-report.el (build-report-installation-version-regexp):
	Support xemacs_extra_name.
	* build-report.el (build-report-version-file-regexp): Ditto.
	* build-report.el (build-report-keep-regexp): Add useful stuff.
	* build-report.el (build-report-delete-regexp): Don't delete
	successful tests.
	* build-report.el (build-report-make-output-files): Typo fix.
	* build-report.el (build-report): Sync docstring from core.
	* build-report.el (build-report-installation-data): Support
	xemacs_extra_name.  Default missing version information components
	by defaulting to "".
	* build-report.el (build-report-version-file-data): Ditto.
	* build.el:
	* build.el (build-call-process): Moved.
	* build.el (build-compilation-mode-hook): Include time zone
	information.
	* build.el (build-cvs-get-branch-and-release-tags): New.  Retrieve
	release tags from version.sh via CVS.
	* build.el (build-cvs-xemacs-release): Remove static definition
	in favor of `build-cvs-get-branch-and-release-tags'.
	* build.el (build-cvs-login): Fix bug in build-cvs-available-p
	house-keeping.
	* build.el (build-tarball-site): Generate list dynamically from
	`package-get-download-sites'.  Unification!
	* build.el (build-with-MS-make-options): Fix default value.
	* build.el (build-with-GNU): Set `build-report-installation-file'
	and `build-report-version-file'.
	* build.el (build-with-MS): Set `build-report-installation-file'
	in addtion to `build-report-version-file'.  Tell user not to
	forget saving config.inc.

2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.

2002-08-12  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.07 released.

2002-08-10  Adrian Aichner  <adrian@xemacs.org>

	* build.el (build): Save build-settings to custom-file.

2002-08-10  Adrian Aichner  <adrian@xemacs.org>

	* build.texi: Add some index and section entries.  Change button
	documentation from [Back] and [Go Back].
	* build.texi (Saving Multiple Build Settings): New.

2002-07-20  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.06 released.

2002-07-19  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (AUTHOR_VERSION): Sync with `build-version-number' in
	build.el.
	* build.el: Use `message-or-box' instead of `message'.  Rename
	"Back" button to "Go Back".  Set `custom-mode' after
	`widget-setup'.  Use `build-call-process'.
	* build.el (build-version): Use `message-or-box' instead of `message'.
	* build.el (build-cvs-available-p): New.
	* build.el (build-cvs-xemacs-repository): Update to user `cvs'.
	* build.el (build-cvs-working-dir-naming):
	* build.el (build-cvs-login): Use `build-call-process'.
	* build.el (build-from-what): Change from `defvar' to `defcustom'.
	* build.el (build-from-CVS): Check for existence of
	`build-cvs-checkout-dir'.
	* build.el (build): Add support for build-settings via "Load",
	"Delete", and "Save" buttons.  Use `build-call-process'.
	* build.el (build-call-process): New.
	* build.el (build-with-what): Change from `defvar' to `defcustom'.
	* build.el (build-with-GNU): Fix "Go Back" button action.
	* build.el (build-settings-save-custom-group): New.
	* build.el (build-settings-load): New.

2002-07-16  Adrian Aichner  <adrian@xemacs.org>

	* .cvsignore: Add generated .info* and .html files.

2002-07-04  Adrian Aichner  <adrian@xemacs.org>

	* build.el (build-make-target-doc-paragraph): Update docstring.
	* build.el (build-make-target-paragraph): Ditto.
	* build.el (build-settings): Ditto.
	* build.el (build-make-macro-paragraph): Match ..._DIR variable
	definitions inside comments in xemacs.mak to handle them
	generically.
	* build.el (build-make-customize): Remove special ..._DIR variable
	handling cruft.

2002-07-03  Adrian Aichner  <adrian@xemacs.org>

	* build.el (build-with-MS-has-config-inc): New.
	* build.el (build-from-CVS): Replace all NL and TAB in
	`widget-insert' arguments to \n and \t to avoid inadvertent
	reformatting.
	* build.el (build-from-tarballs): Ditto.
	* build.el (build): Ditto.
	* build.el (build-with-GNU): Ditto.
	* build.el (build-build-report): Ditto.
	* build.el (build-with-MS): Ditto.  Set
	`build-with-MS-has-config-inc' according to
	`build-report-version-file'.  Pass `build-make-get-option-string'
	to `build-make' only when build-with-MS-has-config-inc is nil.
	* build.el (build-make-sym-to-opt): Add #### comment.
	* build.el (build-make-set-value): Improve updating of
	`build-make-options' from customized variables.

2002-06-24  Adrian Aichner  <adrian@xemacs.org>

	* build.el: Update of Id CVS keyword.
	* build.el (build-version-number): Doc fix.
	* build.el (build-cvs-checkout-dir): Default to nil.
	* build.el (build-tarball-dir): Actualize default.
	* build.el (build-tarball-prefix): Ditto.
	* build.el (build-tarball-set): Provide custom tags for constants.
	* build.el (build-tarball-expand): Use `expand-file-name' instead
	of `concat'.
	* build.el (build-tarball-get-all): Doc fix.
	* build.el (build-tarball-expand-all): Ditto.
	* build.el (build-with-MS-make-options): Provide working default.

2002-06-03  Adrian Aichner  <adrian@xemacs.org>

	* build.texi (Build Installation): Update pxref according to
	change in XEmacs manual.

2002-05-26  Adrian Aichner  <adrian@xemacs.org>

	* build.el: Update copyright years.
	* build.el (build-version-number): Update to 2.00.
	* build.el (build-version-date): Update to 2002-05-26.
	* build.el (build-cvs-set-var-and-update-buffer): New.
	* build.el (build-cvs-checkout-options-validate): Use new
	build-cvs-set-var-and-update-buffer.
	* build.el (build-cvs-options): Ditto.
	* build.el (build-cvs-update-options): Ditto.
	* build.el (build-cvs-checkout-parent-dir): Default to
	(temp-directory). Use new build-cvs-set-var-and-update-buffer.
	* build.el (build-cvs-xemacs-module): Change from defcustom to
	defconst.
	* build.el (build-cvs-checkout-dir): Change from defcustom to
	defvar.
	* build.el (build-cvs-use-pcl-cvs): Use new
	build-cvs-set-var-and-update-buffer.
	* build.el (build-cvs-xemacs-release): Ditto.  Add choices for
	known releases.
	* build.el (build-cvs-xemacs-repository): Update to repository at
	SunSITE.dk.
	* build.el (build-cvs-login): This works now.
	* build.el (build-cvs-working-dir-naming): New. Use new
	build-cvs-set-var-and-update-buffer.
	* build.el (build-cvs-update): Add -A switch for update to latest
	sources.
	* build.el (build-from-CVS): Set `build-cvs-checkout-dir' from
	`build-cvs-working-dir-naming'.  Display build-cvs settings and
	general explanations in widget interface.
	* build.el (build-tarball-dest): Use (temp-directory).
	* build.el (build-tarball-site): Updated from
	http://www.xemacs.org/Download/ as of 2002-03-07.
	* build.el (build): Add documentation links to defgroup.  Test
	availability of cvs and initialize GUI accordingly.  Add more user
	information to widget interface.
	* build.el (build-with-GNU): Back button to take build-from-what
	into account.  Rename "Customize ..." to "Browse ..." in buttons.
	* build.el (build-with-MS): Ditto.
	* build.el (build-build-report): Back button to take
	build-with-what into account.  Rename "Customize ..." to "Browse ..."
	in buttons.
	* build.el (build-with-MS): Ditto.
	* build.el (build-make-alist): Fix typo.
	* build.el (build-settings): New.  Reserved for future use.
	* build.texi: Update copyright years.
	* build.texi (Top): Update release version and date information.
	* build.texi (Build Installation): Add Windows 2000.
	* build.texi (Build XEmacs): Add information about Info and HTML
	documentation.  Document cvs availability check.
	* build.texi (Build XEmacs From CVS): Document CVS login, which
	works now.
	* build.texi (Build XEmacs With GNU Tools): Add some cindex
	entries.
	* build.texi (Build XEmacs With Microsoft Tools): Ditto.  Document
	change of "Customize ..." to "Browse ..." in buttons.
	* build.texi (Generate XEmacs Build Report): Document change of
	"Customize ..." to "Browse ..." in buttons.

2002-01-07  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (HTML_FILES): New.
	* Makefile (HTML_DEP): New.
	* Makefile (all): Move $(INFO_FILES) dependency to end.

2001-12-30  Adrian Aichner  <adrian@xemacs.org>

	* build.texi: Add missing direntry.

2001-12-02  Adrian Aichner  <adrian@xemacs.org>

	* build.el:
	* build.el (build-cvs-use-pcl-cvs): New.
	* build.el (build-cvs-update): Obey build-cvs-use-pcl-cvs.  If
	nil, run cvs update via (compile ...).
	* build.el (build-from-CVS): Reword widget UI to use "CVS tag".
	* build.el (build-with-MS): Overwrite build-report-version-file
	according to build settings for build-report to find correct
	information.

2001-05-19  Adrian Aichner  <adrian@xemacs.org>

	* build.el (build-with-MS): Use build-report-version-file after
	setting is.

2001-05-13  Adrian Aichner  <adrian@xemacs.org>

	* build.el (build-from-CVS): Name buffer correctly.
	* build.el (build-tarball-site): Update download sites from
	XEmacs-21.4.2/etc/FTP.
	* build.el (build-with-MS): Use version.sh of directory we build
	in and customize build-report-version-file accordingly (without
	saving in order to stay out of build-report's way).
	* build.el (build-with-MS-make-commandline): Removed.

2001-04-30  Adrian Aichner  <adrian@xemacs.org>

	* build.el (build-version-number): Don't skip over first
	character, which used to be r (for release).

2001-04-30  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (VERSION): Start at 1.01 for now.
	* README: Document discontinuation of CVS keywords Name and Date
	and their use via cvs update -r rMAJOR-MINOR -kv.
	* build.el (build-version-number): Substitute version manually.
	* build.el (build-version-date): Substitute date manually.
	* build.texi: Substitute version and date manually.

2001-04-29  Steve Youngs  <youngs@xemacs.org>

	* Makefile (AUTHOR_VERSION): Changed to '1.78'.
	(ELCS): Removed 'build-report.elc'.
	(REQUIRES): Add xemacs-base, pcl-cvs, dired, w3 & prog-modes.

2001-04-28  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (VERSION): r1-78 is released.
	* .cvsignore: Ignore the usual autogenerated files.

2001-04-26  Steve Youngs  <youngs@xemacs.org>

	* build.el: Autoload 'ring-insert-at-beginning, efs-copy-file'.

2001-04-25  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (VERSION): r1-77 is released.
	* Makefile (CATEGORY): Change from comm to libs.
	* build.el (build-with-MS): Generate config.inc for XEmacs 21
	minor versions > 2.

2001-04-19  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (VERSION): r1-76 is released.
	* README: Update documentation.

2001-04-08  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (VERSION): r1-75 is released.
	* build.el: Require compile.
	* build.el (build-configure-sym-to-opt): Retain both dashes in
	build-configure options.

2001-04-08  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (VERSION): r1-74 is released.
	* build.el (build-configure): Fix configure argument processing.
	* build.el (build-configure-generate): Find "configure.usage"
	according to `build-from-what', not (config-value-hash-table) of
	running XEmacs.
	* build.el (build-make-generate): Ditto for "Makefile.in".

2001-04-07  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (VERSION): r1-73 is released.
	* build.el (build-configure-string): Use
	`build-configure-set-value' instead of `build-make-set-value'.
	* build.el (build-configure-file): Ditto.
	* build.el (build-configure-dir): Ditto.
	* build.el (build-configure-type): Ditto.

2001-04-07  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (VERSION): r1-72 is released.
	* build.el (build-make-sym-to-opt): Removed from
	`build-configure-prolog'.
	* build.el (build-configure-sym-to-opt): New in
	`build-configure-prolog'.  Fix substring FROM value.
	* build.el (build-make-set-value): Removed from
	`build-configure-prolog'.
	* build.el (build-configure-set-value): New in
	`build-configure-prolog'.

2001-03-28  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (VERSION): r1-68 is released.
	* build.el: Try requiring pcl-cvs.
	* build.el (build-cvs-update): Use feature pcl-cvs, if available.

2001-03-20  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (VERSION): r1-67 is released.
	* build.el (build-configure-option-category): Adjust for
	configure.usage option line proliferation.
	* build.el (build-configure-generate): Avoid setting and switching
	to buffer.
	* build.el (build-with-GNU): Add whitespace between widgets.
	* build.texi: Fix CVS keyword in subtitle.

2001-03-17  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (VERSION): r1-66 is released.
	* build-report.el: Update Copyright section.
	* build.el: Add Legalese.
	* build.el (build-make-customize): Add support for GTK_DIR and
	sort list lexically.
	* build.texi: Update Copyright information.  Update release Date.
	* build.texi (Top): Add version and author information.

2001-03-17  Adrian Aichner  <adrian@xemacs.org>

	* build.el (build-cvs-checkout-options-validate): Improve
	documentation.
	* build.el (build-cvs-checkout-dir): Change custom type from
	directory to string.

2001-03-12  Adrian Aichner  <adrian@xemacs.org>

	* build.el (build-configure):
	* build.el (build-cvs-checkout-options-validate):
	* build.el (build-cvs-options):
	* build.el (build-cvs-checkout-dir):
	* build.el (build-cvs-checkout-parent-dir): New.
	* build.el (build-cvs-xemacs-module):
	* build.el (build-cvs-xemacs-release):
	* build.el (build-cvs-login):
	* build.el (build-cvs-checkout):
	* build.el (build-cvs-update):
	* build.el (build-from-CVS):
	* build.el (build-tarball-extract):
	* build.el (build-make):

2001-02-18  Adrian Aichner  <adrian@xemacs.org>

	* build-report.el (build-report-destination): xemacs-build-reports
	has moved to SourceForge, where mailing list name length is
	restricted, hence the name change to
	xemacs-buildreports@xemacs.org.
	* build.el: Fix comment structure for folding-mode.
	* build.el (build-cvs-checkout-options-validate): New.
	* build.el (build-cvs-working-dir): Commented out.
	* build.el (build-cvs-checkout-dir): New.
	* build.el (build-config-inc-generate): Moved to Build Make
	section.

2000-12-30  Adrian Aichner  <adrian@xemacs.org>

	* README: New.

2000-12-29  Adrian Aichner  <adrian@xemacs.org>

	* build 1.58 is released.
	
	* TODO: Correct my E-mail address.
	* build.el: Order all "^\s-*(def" blocks by name in preparation
	for split into multiple files.
	* build.texi (Build Overview): Improve some wording.
	* package-info.in: Shorten description for build package.

2000-10-21  Adrian Aichner  <adrian@xemacs.org>

	* build 1.57 is released.
	
	* Makefile (VERSION): Increment to 1.01
	* build.el (build): Rename buttons.
	* build.texi (Build XEmacs): Document more buttons.
	* build.texi (Known Problems of Build): Enumerate Problems,
	itemize into Problem, Workaround, and Fix.

2000-10-09  Adrian Aichner  <adrian@xemacs.org>

	* build.el (build-version-number): Use CVS keyword Name for
	AUTHOR_VERSION handling.
	* build.texi: Ditto.
	* Makefile (AUTHOR_VERSION): Ditto.
	* build 1.56 is released.

2000-09-23  Adrian Aichner  <aichner@ecf.teradyne.com>

	* build-report.el: Update copyright year range.
	build-report-version is determined by XEmacs version -- remove
	build-report-version*.
	* build-report.el (build-report-keep-regexp): Match test results.
	* build-report.el (build-report-delete-regexp): Ignore
	auto-linlining conflicts and texinfmt "Formatting" output.
	* build-report.el (build-report-insert-header): Report
	emacs-version and system-configuration instead of
	build-report-version.
	* build.el: Require build-report on top-level.  Add package
	version support.  Improve UI.
	* build.el (build): Add informative text to UI.  Fix config.inc
	support check (> 21.2-b32) for building with Microsoft Tools.
	* build.el (build-version-number): New.
	* build.el (build-version-date): New.
	* build.el (build-version): New.
	* build.el (build-config-inc-generate): Report version number of
	build.

2000-07-05  Adrian Aichner  <aichner@ecf.teradyne.com>

	* Makefile (VERSION): build 1.51 is released.

2000-07-05  AichnerAd  <aichner@ecf.teradyne.com>

	* build-report.el: Minor doc changes.  Sync with XEmacs 21.2
	lisp/build-report.el 1.5.2.4.
	* build-report.el (build-report-version-number): New.
	* build-report.el (build-report-version-date): New.
	* build-report.el (build-report-version): New.

2000-06-22  Adrian Aichner  <aichner@ecf.teradyne.com>

	* build.texi (Overview): Fix trivial typo.

2000-06-12  Adrian Aichner  <aichner@ecf.teradyne.com>

	* Makefile (VERSION): build 1.49 is released.

	* build.el (build-config-option-category): Rename all
	build-config- symbols to build-configure-, build-config- is now
	reserved for config.inc support under native Windows builds.
	(build): Re-indent whole file.
	(build-with-MS): Generate config.inc file from 'build-make
	options.
	(build-with-MS-make-commandline): New function building long or
	short build-make commandline depending on config.inc support in
	xemacs.mak.

2000-05-06  Adrian Aichner  <aichner@ecf.teradyne.com>

	* build.el (build-make-customize): Bring back *_DIR interface for
	MS builds (can't be deduced from xemacs.mak).

	* Makefile (VERSION): build 1.48 is released.
	
2000-04-09  Adrian Aichner  <aichner@ecf.teradyne.com>

	* Makefile (VERSION): build 1.47 is released with minimal
	documentation.

	* build.el: Add ellipsis for push-buttons requiring further
	interaction.

	* Makefile (ELCS): Remove obsolete build-info.elc
	(VERSION): build 1.46 is released.

	* build.el (build-make-customize): Remove MS-specific stuff.
	(build-from-tarballs): Add "Back" button.
	(build-from-CVS): ditto.
	(build-with-GNU): ditto.
	(build-with-MS): ditto.
	(build-build-report): ditto.
	(build-with-MS): Add buttons to "Check temacs (XEmacs before
	dumping)" and "Check XEmacs".

1999-07-15  Adrian Aichner  <aichner@ecf.teradyne.com>

	* Makefile (AUTHOR_VERSION): Increment to 1.43.

	* build-report.el (build-report-installation-file): Installation
 	file is now in top-level directory for Windows NT as well.

	* build.el (build-build-report): Ditto.

	* Makefile (AUTHOR_VERSION): Increment to 1.42.

	* build.el (build-cvs-update-options): Remove -A switch.

	* build-report.el (build-report-installation-version-regexp):
 	Handle releases in addition to betas.

1999-03-16  Adrian Aichner  <aichner@ecf.teradyne.com>

	* Create package.
